* {
  box-sizing: border-box;
  margin: 0;
  font-family: 'Lexend', 'Arial Black', 'sans-serif';
}

body {
  background-color: #FFBF46;
  padding: 5vh;
}

/* div {
  border: 1px solid black;
} */

.card {
  background-color: #DCA53D;
  border-radius: 2vw;
  padding: 1vw;
  margin: auto;
  max-width: 1200px;
  width: 90%;
}

.page-title {
  margin: 2vh 0;
}

.page-title-h1 {
  text-align: center;
  margin: auto;
  max-width: 600px;
  font-size: 3.5rem;
  font-weight: bold;
}

.box-select {
  margin: 3vh auto;
  width: 60%;
  display: flex;
  justify-content: center;
}

.box-select-input {
  font-size: 1.7rem;
}

.info-box {
  margin: 3vh 0;
  display: flex;
  justify-content: space-evenly;
}

.spectro-graph {
  width: 35vw;
  height: 50vh;
  max-width: 400px;
  display: flex;
  padding: 1vw;
}

.spectro-chart {
  margin: auto;
}

.fullness-graph {
  width: 35vw;
  height: 50vh;
  max-width: 400px;
  display: flex;
  padding: 1vw;
}

.fullness-chart {
  margin: auto;
}

.controls {
  margin: 3vh 0;
  display: flex;
}

.controls-modal {
  width: 100%;
  margin: 3vh 0;
  display: flex;
  flex-direction: row-reverse;
}

.controls-left {
  padding-left: 2vw;
  width: 50%;
  display: flex;
  justify-content: start;
}

.controls-right {
  padding-right: 2vw;
  width: 50%;
  display: flex;
  justify-content: end;
}

button {
  border-radius: 0.5rem;
  font-size: 1.75rem;
  margin: 0 0.5rem;
}

.history-btn {
  background-color: #dfdfdf;
  display: flex;
  padding: 0 3vw;
}

.history-btn img {
  margin: auto;
}

.scan-btn {
  background-color: #ffed46;
}

.save-btn {
  background-color: #46ff62;
}

.scan-save-btn {
  background-color: #46ff62;
  margin: 0;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.modal-close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.modal-close:hover,
.modal-close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

@media (max-width: 1200px) {
  .spectro-graph .fullness-graph {
    width: 70vw;
    max-width: 900px;
  }
  
  .info-box {
    flex-direction: column;
  }
  
  .page-title-h1 {
    font-size: 2.5rem;
  }
  
  .box-select-input-option {
    font-size: 1.5rem;
  }
  
  button {
    font-size: 1rem
  }
}
